Get a workflow
GET
/v1/forms/{form}/workflow
const url = 'https://api.submeto.com/v1/forms/example/workflow';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.submeto.com/v1/forms/example/workflow \ --header 'Authorization: Bearer <token>'Returns the published workflow and current draft. Requires workflows:read.
The response includes a Workflow validator for draft mutations.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”form
required
string
The form ID.
Responses
Section titled “Responses”Workflow
Media typeapplication/json
object
data
object
id
string
form_id
string
mode
string
simple_editable
boolean
draft
object
revision
integer
definition
object
schema_version
integer
nodes
array
edges
array
is_dirty
boolean
estimated_min_cost
integer
estimated_max_cost
integer
restored_from_version_id
string
saved_at
string
published
object
id
string
version
integer
definition
object
schema_version
integer
nodes
array
edges
array
estimated_min_cost
integer
estimated_max_cost
integer
published_at
string
channels
array
request_id
string
Example
{ "data": { "id": "01JWORKFLOW0000000000000000", "form_id": "REQUEST_ID", "mode": "simple", "simple_editable": true, "draft": { "revision": 1, "definition": { "schema_version": 1, "nodes": [], "edges": [] }, "is_dirty": false, "estimated_min_cost": 0, "estimated_max_cost": 0, "restored_from_version_id": null, "saved_at": "2026-09-03T09:00:00.000Z" }, "published": { "id": "01JVERSION00000000000000000", "version": 1, "definition": { "schema_version": 1, "nodes": [], "edges": [] }, "estimated_min_cost": 0, "estimated_max_cost": 0, "published_at": "2026-09-03T09:00:00.000Z", "channels": [] } }, "request_id": "REQUEST_ID"}Not found or not granted
Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{ "error": { "code": "resource_not_found", "message": "Resource not found.", "details": {} }, "request_id": "REQUEST_ID"}